Skip to main content
POST
/
intake
/
{matterId}
/
submissions
Create an intake submission for a matter
curl --request POST \
  --url https://api.smokeball.com/intake/{matterId}/submissions \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json-patch+json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "formId": "ae4bc84e-b601-4767-9d0f-5d078832418e",
  "communicationMethod": "email",
  "recipient": {
    "contactId": "5d9b8697-8c6f-45dd-b22d-87045ed4df35",
    "email": "client@example.com",
    "name": "Sample Client"
  }
}
'
{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "link": "https://example.smokeball.com/intake/submissions/e8b673fe-5493-4b1f-986c-af82542fb6d8"
}

Documentation Index

Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string
required

Matter to associate the submission with.

Body

The submission payload including matter, form, delivery method, and recipient.

formId
string | null

Id of the intake form to create a submission for.

Example:

"ae4bc84e-b601-4767-9d0f-5d078832418e"

communicationMethod
enum<string>

How the form will be delivered.

Available options:
email,
communicate
Example:

"email"

recipient
object

Recipient details for the submission.

Response

Created

Intake submission created response.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET
self
object

URL to complete the intake submission.

Example:

"https://example.smokeball.com/intake/submissions/e8b673fe-5493-4b1f-986c-af82542fb6d8"